/******************************************************************************
 * Licensed Materials - Property of IBM                            *
 *                                                                            *
 * PID (5697-TKT)                                                             *
 *                                                                            *
 * (C) Copyright by IBM 2000. All Rights Reserved. *
 *****************************************************************************/
package com.BobCo.postit;

import com.tivoli.twg.libs.Command;
import com.tivoli.twg.libs.IntelByteBuffer;
import com.tivoli.twg.libs.LongValueSet;
import com.tivoli.twg.log.TWGRas;

/**
 * Command class for retrieving the list of managed objects that have post it
 * notes attached to them for display in this task bean's association view.
 */
public class BCRetrievePostItListCmd
extends Command
{
    /**
     * Constructor for the retrieve post it note list command.
     */
    public BCRetrievePostItListCmd()
    {
        super( BCPostItConstants.RETRIEVE_POST_IT_LIST_CMD );
        SetDestinationAddress( BCPostItConstants.POST_IT_SERVER );
    }

    /**
     * Get the current list of systems that have post it note objects attached
     * from the command.
     *
     * @return set of system ids for those systems that have post it attached.
     */
    public LongValueSet getPostItList()
    {
        TWGRas.debug( TWGRas.EX1,  "BCRetrievePostItListCmd.getPostItList() NumOutputParms() is " + NumOutputParms() );
        if ( NumOutputParms() == 1 )
            return IntelByteBuffer.ReadLongValueSet( OutputParm(0), 0 );
        else
            return null;
    }

}

