package com.ibm.sysmgt.sdk.CmdTask;

/*
import com.tivoli.twg.engine.InvalidObjectIDException;
import com.tivoli.twg.engine.TWGExtension;
import com.tivoli.twg.engine.TWGExtensionInitException;
import com.tivoli.twg.engine.TWGExtensionTermException;
import com.tivoli.twg.engine.TWGPersistentObjectSaveException;
import com.tivoli.twg.engine.TWGTask;
import com.tivoli.twg.engine.TWGTaskCreationException;
import com.tivoli.twg.engine.TWGDefaultTask;
import com.tivoli.twg.log.TWGRas;
import  java.io.*;
import  com.tivoli.twg.libs.TWGEnvironment;
import java.util.Properties;
*/

/**
 * Data Structure for holding information about each CmdTaskon the server
 */
public class CmdTaskData
{
   private String id = null;
   private String title = null;
   private String windowsCommandString = null;
   private String unixCommandString = null;
   private String windowsCwd = null;
   private String unixCwd = null;
   private boolean shellRequired = false;
   private String parentTaskID = null;
   private String parentTaskTitle = null;
   private String urlType = null;
   private String urlPort = null;
   private String urlFile = null;
   private String windowsAgentCommandString = null;
   private String unixAgentCommandString = null;
   private String windowsAgentCwd = null;
   private String unixAgentCwd = null;
   private int agentTimeout = 15000;	//in milliseconds

// ================== Constructors ===================


   public void CmdTaskData(){
    
   }

// ================== Accessors ===================


   public String getID(){
       String tempID = null;
       if(id != null)
	   tempID = ( hasParent() ? parentTaskID + "|" : "CmdTask|" ) + 
		    id.replace(' ', '_').replace('|','_');
       else if(title != null)
	   tempID = ( hasParent() ? parentTaskID + "|" : "CmdTask|" ) + 
	            title.replace(' ', '_').replace('|','_');
       else
	   return null;
       return tempID;
   }

   public String getTitle(){
       if (title != null) 
	   return title;
       else
	   return id;
   }

   public String getWindowsCommandString(){
       return windowsCommandString;
   }

   public String getUnixCommandString(){
       return unixCommandString;
   }

   public String getWindowsCwd(){
       return windowsCwd;
   }

   public String getUnixCwd(){
       return unixCwd;
   }

   public boolean getShellRequired(){
       return shellRequired;
   }

   public String getParentTaskID(){
       return parentTaskID;
   }

   public String getParentTaskTitle(){
       return parentTaskTitle;
   }

   public String getUrlType () {
       return urlType; 
   }            
	       
   public String getUrlPort () {
       return urlPort;
   }

   public String getUrlFile () {
       return urlFile;
   }

   public String getWindowsAgentCommandString(){
       return windowsAgentCommandString;
   }

   public String getUnixAgentCommandString(){
       return unixAgentCommandString;
   }

   public String getWindowsAgentCwd(){
       return windowsAgentCwd;
   }

   public String getUnixAgentCwd(){
       return unixAgentCwd;
   }

   public int getAgentTimeout(){
       return agentTimeout;
   }

   public boolean hasParent(){
       return parentTaskID != null;
   }

// ================== Mutators ===================


   public void setID(String c){
       id = c.replace(' ','_');
   }

   public void setTitle(String c){
       title = c;
   }

   public void setWindowsCommandString(String c){
       windowsCommandString = c;
   }

   public void setUnixCommandString(String c){
       unixCommandString = c;
   }

   public void setWindowsCwd(String c){
       windowsCwd = c;
   }

   public void setUnixCwd(String c){
       unixCwd = c;
   }

   public void setShellRequired(boolean b){
       shellRequired = b;
   }

   /* Not externally mutable
   public void setParentTaskID(String c){
       parentTaskID = c;
   }*/

   public void setParentTaskTitle(String c){
       parentTaskTitle = c;
       parentTaskID =  "CmdTask|" + c.replace(' ', '_').replace('|','_');
   }

   public void setUrlType (String c){
       if (c != null &&
	   c.compareTo("http://")  == 0 || 
	   c.compareTo("file://")  == 0 || 
	   c.compareTo("ftp://")   == 0 ||
	   c.compareTo("https://") == 0)
         urlType = c.substring(0,c.length() - 3); // remove "://"
       else
	   urlType = c; 
   }            
	       
   public void setUrlPort (String c) {
       urlPort = c;
   }

   public void setUrlFile (String c) {
       urlFile = c;
   }

   public void setWindowsAgentCommandString(String c){
       windowsAgentCommandString = c;
   }

   public void setUnixAgentCommandString(String c){
       unixAgentCommandString = c;
   }

   public void setWindowsAgentCwd(String c){
       windowsAgentCwd = c;
   }

   public void setUnixAgentCwd(String c){
       unixAgentCwd = c;
   }

   public void setAgentTimeout(int i){
       agentTimeout = i;
   }
  
}
