/////////////////////////////////////////////////////////
// Module		SDKFind.java
// Version		3.10
// Language		Java
// Author		Scott Riley
// History
// 06/09/00    Release 3.10
// 10/26/99    Initial release
//
// Copyright (C) 1999-2000 Tivoli Systems, an IBM Company  
//
////////////////////////////////////////////////////////

// First import the standard classes we need
import java.applet.Applet;
import java.applet.AppletContext;
import java.awt.*;
import java.awt.event.*;
import java.io.DataInputStream;
import java.io.FilterInputStream;
import java.io.InputStream;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.StringTokenizer;
import java.util.Vector;
import java.util.Hashtable;


public class SDKFind extends Applet 
{
	// Data members
   SDKFind find = this;
	FindFrame myFrame;
  	String topPage;		// Top most page to which to send the crawler
	String server;		// Document base 
	boolean isLocal;	// Flag to indicate CD-ROM style searching
	Hashtable pageDB = new Hashtable();
	int totalPages;

	int wid, heig;	// Width and height of the pop-up window 
	
	// Look for the parent frame.
	Component f = getParent();

	// Initialize the search engine
	public void init()
	{
		System.out.println("SDKFind Loaded.  Starting...");
		
		// Find the applet's frame
		while (f!= null) {
			f = f.getParent();
		}

		// Get the PARAMs for the applet
		getParameters();

		setLayout(new BorderLayout());

		Button b = new Button("Find Text");
		add("Center", b);
		validate();
      //  Listen for events.
      b.addActionListener(new ActionEventHandler());
		System.gc();
		System.out.println("SDKFind started. Running...");
	}

	public void getParameters()
	{
		// Get the parameters from APPLET tag.  
		// If a parameter is not specified in the applet tag,
      // then set it to a default value.
		
		// How many pages must an applet search
		// before you can call it an applet ;-)
		String num = getParameter("totalPages");
		if (num == null) {
//			searchQueue.ensureCapacity(10);
			totalPages = 30;		// Default
		} else {
//			System.out.println("Total Pages is = " + Integer.parseInt(num));
			totalPages = Integer.parseInt(num);
		}
			
		// Find out if the top page has been specified
//		if ((topPage = getParameter("topPage")) == null) {
//			System.err.println("SDKFind unrecoverable Error!  No top page specified.  Applet cannot run");
//		} 

		// Find out if CD-ROM style search is specified
		String locl = getParameter("isLocal");
		if (locl == null) {
			// Not a CD-ROM style search.  Must get a server
			// PARAMeter
			if ((server = getParameter("server")) == null) {
				System.err.println("SDKFind unrecoverable error!  No server specified.  Applet cannot run");
			}
			isLocal = false;
		} else {
			// CD-ROM style search.  Construct a 'server' from documentBase
			isLocal = true;
			String docBase = this.getDocumentBase().toString();
			int endIndex = docBase.lastIndexOf("/");
			server = new String(docBase.substring(0,endIndex) + "/");
		}


		// Get the width of the pop-up window
		String w = getParameter("wid");
		if (w == null) {
			wid = 550;		// Default
		} else {
			wid = Integer.parseInt(w);
		}

		// Get the height of the pop-up window
		String h = getParameter("heig");
		if (h == null) {
			heig = 200;		// Default
		} else {
			heig = Integer.parseInt(h);
		}
	
		// Get the font
		String fnt = getParameter("font");
		if (fnt == null) {
			fnt= "TimesRoman";	// Default
		}
		
		// Get the font size
		int fontSize;
		String fs = getParameter("fontsize");
		if (fs == null) {
			fontSize = 12;		// Default
		} else {
			fontSize = Integer.parseInt(fs);
		}
	
		// Set the painting font to the specified value
		setFont(new Font(fnt, Font.PLAIN, fontSize));
	
		// Get the background color
		String bg = getParameter("bgcolor");
		if (bg == null) {
			setBackground(new Color(255,255,255));	// Default - white
		} else {
			// Parse out the RGB values
			StringTokenizer st = new StringTokenizer(bg, ",");	
			String red = new String(st.nextToken());
			String green = new String(st.nextToken());
			String blue = new String(st.nextToken());
			setBackground(new Color(Integer.parseInt(red), Integer.parseInt(green), Integer.parseInt(blue)));
		}
		
		// Get the foreground color
		String fg = getParameter("fgcolor");
		if (fg == null) {
			setForeground(new Color(0,0,0));	// Default - black
		} else {
			// Parse out the RGB values
			StringTokenizer st = new StringTokenizer(fg, ",");	
			String red = new String(st.nextToken());
			String green = new String(st.nextToken());
			String blue = new String(st.nextToken());
			setForeground(new Color(Integer.parseInt(red), Integer.parseInt(green), Integer.parseInt(blue)));
		}
	}

	// Event Handler
	// When button is clicked, pop up myFrame
   class ActionEventHandler implements ActionListener {
      public void actionPerformed(ActionEvent evt) {
         // Button has been clicked.  Open the search window
         myFrame = new FindFrame(find, (Frame)f, "Director SDKFind");
         myFrame.setSize(wid, heig);
         myFrame.show();
      }
   }

	public void start()
	{
//		myFrame.show();
	}

	public void stop()
	{
//		myFrame.hide();
	}

	// It's all over!
	public void destroy()
	{
		if (myFrame != null) {
			System.out.println("SDKFind ending.");
			myFrame.dispose();
			myFrame = null;
		}
	}
}
