

package com.ibm.sysmgt.sdk.tools;

import com.tivoli.twg.engine.cli.*;
import com.tivoli.twg.engine.*;
import com.tivoli.twg.libs.*;
import com.tivoli.twg.log.TWGRas;
import com.tivoli.twg.util.DataStoreException;
import java.math.BigInteger;
import java.io.*;
import java.util.*;
import java.text.DateFormat;

/**
 * Event access CLI Bundle<p>
 * This CLI bundle implementation provides access to alert manager
 * event log and event action plan functionality.<p>
 * <li>Help - provies event help
 * <li>List - will print a list of all event commands
 * <li>listFilters [-r|-report|-t|-terse]
 * <li>listEvents [-r|-report|-t|-terse] [-f filterName] [-h hours] [moid(1) ... <moid(n)]
 * <li>listEventTypes [-r|-report|-t|-terse]
 * <li>ListEventActionPlans
 * <li>ListEventActions
 * <li>ApplyEventActionPlan <PlanName> system-oid(1)>...<system-oid(N)>
 * <li>CreateEventActionPlan <PlanName>
 *                           [-f filterName(1) ActionName(1) ... ActionName(N)]
 *                           [-f filterName(N) ActionName(1) ... ActionName(N)]
 *
 * @see ICliBundle for the bundle interface
 *
 * @author Dave Wormald
 *  * @version 4.2 - 05/1/03
 */
public class SDKToolsExtension extends TWGExtension {

    private static final String LanguageBundle = "com.tivoli.twg.alertmgr.SDKToolsNLS";
    private Writer clientOut = null;
    private Locale clientLocale = null;
    private ResourceBundle nlsBundle = null;

    public SDKToolsExtension() {

        super();

        TWGRas.error(TWGRas.EX0," AAA SDKToolsExtension SQLTableDoc()");
    }

    public void InitClassRegistration() throws TWGExtensionInitException {
        TWGRas.error(TWGRas.EX0," AAA SDKToolsExtension InitClassRegistration");
    }
    public void InitClassInstances() throws TWGExtensionInitException {
        TWGRas.error(TWGRas.EX0," AAA InitClassInstances");
    }
    public void InitCompletion() throws TWGExtensionInitException {
        TWGRas.error(TWGRas.EX0," AAA SDKToolsExtension InitCompletion");
    }
    public void TermBegin() throws TWGExtensionTermException {
        TWGRas.error(TWGRas.EX0," AAA SDKToolsExtension TermBegin");
    }
    public void TermComplete() throws TWGExtensionTermException {
        TWGRas.error(TWGRas.EX0," AAA SDKToolsExtension TermComplete");
    }


    public static void main(String args[])
    {
       System.out.println("SDKToolsExtension main");
    }

}
