package com.BobCo.subagent;

/**
 * Sample IT Director Agent Extension (Subagent).
 * This sample subagent is a ServiceNode subclass.
 *
 * This class logs trace messages using flag TWGRas.EX0 (reserved for OEMs).
 */
import com.tivoli.twg.libs.*;
import com.tivoli.twg.agent.*;
import com.tivoli.twg.log.TWGRas;
import java.util.*;

public class SampleSubagent extends ServiceNode
{
   private static final String SERVICE_NODE_NAME = "MyServiceNode";

   private static final int MY_CMD                     =  0x200;

   /**
    * Default constructor
    */
   public SampleSubagent()
   throws BadServiceNodeImplException, ServiceNodeException
   {
      super(SERVICE_NODE_NAME);
      TWGRas.entryExit(TWGRas.EX0,"SampleSubagent default constructor");
   }

   public boolean CommandReceived(Command cmd) {
      int rc;
      int cc = (int)cmd.CommandCode();
      TWGRas.entryExit(TWGRas.EX0,"SampleSubagent received command code " + cc);
      switch (cc) {
      case MY_CMD:
            TWGRas.entryExit(TWGRas.INVENTORY,"SampleSubagent received MY_CMD command");
            rc = 0;
            break;
      default:
            rc = 1;
            TWGRas.entryExit(TWGRas.INVENTORY,"SampleSubagent received unknown command code " + cc);
            break;
      }
      cmd.SetReturnCode(rc);
      return true;
   }

}
