package com.BobCo.subagent;

/**
 * Sample IT Director Agent Extension (Subagent)
 * This sample subagent is a TWGAgentExtension subclass which
 * registers its service node in code.
 *
 * This class logs trace messages using flag TWGRas.EX0 (reserved for OEMs).
 */
import com.tivoli.twg.libs.*;
import com.tivoli.twg.agent.*;
import com.tivoli.twg.log.TWGRas;
import java.util.*;

public class SampleSubagent2 extends TWGAgentExtension
{
   ServiceNode sn;
   /**
    * Default constructor
    */
   public SampleSubagent2()
   {
      TWGRas.entryExit(TWGRas.EX0,"SampleSubagent2 default constructor");
   }

   /**
    * Initialize
    */
   public void initAgentExtension() throws TWGAgentExtensionException
   {
      TWGRas.entryExit(TWGRas.EX0,"SampleSubagent2.initAgentExtension()");
      /* Register service and prestart the service node */
      try {
         super.registerService("myServiceNode", "com.BobCo.subagent.SampleSubagent", true);
      } catch (TWGAgentException e) {
         throw new TWGAgentExtensionException(e.toString());
      }
   }

   /**
    * Run (take over agent extension's main thread)
    */
   public void runAgentExtension() throws TWGAgentExtensionException
   {                                            
      TWGRas.entryExit(TWGRas.EX0,"SampleSubagent2.runAgentExtension()");
   }

   /**
    * Terminate
    */
   public void terminateAgentExtension() throws TWGAgentExtensionException
   {
      TWGRas.entryExit(TWGRas.EX0,"SampleSubagent2.terminateAgentExtension()");
      super.deregisterService("myServiceNode");
   }


}
