/*
 * Created on Nov 10, 2003
 *
 * 
 */
package com.ibm.sysmgt.sdk.remote.test; 

import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Set;

import junit.framework.Assert;
import junit.framework.TestCase;

import com.ibm.sysmgt.sdk.remote.DirectorEvent;
import com.ibm.sysmgt.sdk.remote.DirectorEventLog;
import com.ibm.sysmgt.sdk.remote.DirectorRemoteSdk;
import com.ibm.sysmgt.sdk.remote.DirectorServer;
import com.ibm.sysmgt.sdk.remote.Log;
import com.ibm.sysmgt.sdk.remote.LoginSession;
import com.ibm.sysmgt.sdk.remote.ManagedGroup;
import com.ibm.sysmgt.sdk.remote.ManagedSystem;
import com.ibm.sysmgt.sdk.remote.Task;
import com.ibm.sysmgt.sdk.remote.UnknownManagerException;
import com.tivoli.twg.libs.DataValue;
import com.tivoli.twg.libs.TWGDate;
import com.tivoli.twg.libs.TWGEnvironment;

/**
 * @author Dave Wormald
 *
 */
public class TestSystemAttributes extends SetupToUseDirectorServer {

	/**
	 * 
	 */
	public TestSystemAttributes() {
		super();

	}

	/**
	 * @param arg0
	 */
	public TestSystemAttributes(String arg0) {
		super(arg0);
	}


	public void testGetAttributeWithALLTypes() {
		try {
			Assert.assertTrue(s != null);

			ManagedSystem system =
				new ManagedSystem(0, "testattribs", "test", 0);

			Map attribs = system.getSystemAttributes(s);
			println(" testGetAttributeWithALLTypes");

			Set s = attribs.keySet();
			Iterator i = s.iterator();
			Object value;
			while (i.hasNext()) {
				value = i.next();
				DataValue dv = (DataValue) attribs.get(value);
				println(
					"key='"
						+ value
						+ "' DataValue type="
						+ dv.getDataValueType()
						+ " value='"
						+ dv
						+ "'");

			}

			// test NLS or boolean
			println("testing international boolean");
			DataValue dvbool = (DataValue) attribs.get("TWGBoolean");

			String enBoolString = dvbool.toNLSString(Locale.getDefault());
			println("English bool=" + enBoolString);

			String grBoolString = dvbool.toNLSString(Locale.GERMAN);
			println("GERMAN bool=" + grBoolString);

		} catch (Exception e) {
			e.printStackTrace();
			fail();
		}

	}

}
